Bug 1298750 - Internet Explorer 11 Web GUI Errors
Internet Explorer 11 Web GUI Errors
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console (Show other bugs)
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: Robb Hamilton
Depends On:
  Show dependency treegraph
Reported: 2016-01-14 17:28 EST by Ryan Howe
Modified: 2017-08-16 15 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-08-10 01:15:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Loading error (42.55 KB, image/png)
2016-01-15 01:44 EST, yapei
no flags Details
IE Document Mode setting (12.64 KB, image/png)
2016-01-28 10:49 EST, Ryan Howe
no flags Details
IE-login (33.26 KB, image/png)
2016-11-17 04:23 EST, Yanping Zhang
no flags Details

  None (edit)
Description Ryan Howe 2016-01-14 17:28:13 EST
Description of problem:

When attempting to go to the web console for OpenShift, the page never loads and it is just a blank page.  When reviewing the developer tools for the browser, we can see that communication is occurring but errors are showing up in the JS console.  

SCRIPT5022: Exception thrown and not caught
File: oldieshim.js, Line: 26, Column: 12

SCRIPT5009: 'angular' is undefined
File: templates.js, Line: 1, Column: 1

SCRIPT5009: 'angular' is undefined
File: scripts.js, Line: 3, Column: 1

Version-Release number of selected component (if applicable):

How reproducible:
100%  however I (bug author) do not have access to IE 

Steps to Reproduce:
1. Access Web GUI

Actual results:

Expected results:
Webpage loads

Additional info:

Internet Explorer 11.0.9600.18124CO
Windows 7 Enterprise SP1
Comment 1 yapei 2016-01-15 01:44:06 EST
We have two versions of IE11,

On IE 11.0.9600.17041,could login and do operation successfully. After several minutes(not sure how long), accessing any page will give 'loading...' on page but didn't return anything.Finally, Error page(An error has occured,please return to console)displayed, clicking 'return to console' couldn't load login page. DOMException error caught in console(see attachment)

On IE 11.0.9600.17843, everything works fine
Comment 2 yapei 2016-01-15 01:44 EST
Created attachment 1115038 [details]
Loading error
Comment 3 Jessica Forrester 2016-01-15 09:37:44 EST
I just specifically checked IE 11 on Windows 7 and it is working.  Is it possible they were running in a different document mode?
Comment 4 Ryan Howe 2016-01-28 10:49 EST
Created attachment 1119187 [details]
IE Document Mode setting
Comment 5 Ryan Howe 2016-02-02 15:22:58 EST
IE was running on document mode 7. Changing to Document mode to 9, 10, or Edge fixes the issue. 

User is recommending workaround to​ update the code within the OpenShift Console to include meta-tag information to force a specific Document Mode to be used when loading the page.  For example, within the head tags of the page include:

<meta http-equiv="X-UA-Compatible" content="IE=9" />

Would these be a possible fix to this bug, or do we need to submit a docs bug stating we require a certain document mode.
Comment 6 Jessica Forrester 2016-02-02 17:08:06 EST
We will update with

<meta http-equiv="X-UA-Compatible" content="IE=EDGE" />

We always want the browser running on the latest supported document mode, so EDGE

Looking into the documentation issue.
Comment 7 openshift-github-bot 2016-02-02 22:32:13 EST
Commit pushed to master at https://github.com/openshift/origin

Bug 1298750 - Force IE document mode to be edge
Comment 12 Jessica Forrester 2016-11-08 11:17:47 EST
Troy its another old one, this was fixed in 3.2
Comment 13 Jessica Forrester 2016-11-08 11:27:36 EST
Based on feedback on another bug moving this to ON_QA and we will move to CLOSED->CURRENT RELEASE once QE validates.
Comment 14 yapei 2016-11-10 01:03:52 EST
Tried to verify on but we only have IE 11.545.10586.0 on hand, for which Edge is not in the list of Document mode, we couldn't test Document mode setting to Edge

@jessica, any ideas on this?
Comment 15 Jessica Forrester 2016-11-10 08:18:35 EST
The documentation mode ended up not being the root cause.  The issue was when the openshift server was added to the list of domains in IE's Intranet Zone under the security settings.  So verifying you are able to access the console under those conditions should be sufficient.
Comment 18 yapei 2016-11-14 08:08:04 EST
Hi jessica,

could you please help confirm with above verification steps and screenshot? thanks very much
Comment 22 Yanping Zhang 2016-11-17 04:21:09 EST
Hi, Jessica, thanks for your detailed instruction. We checked on OSE 3.2 env with IE Version 11.633.10586.0 on win 10. Now the issue in the bug description doesn't exist before and after setting IE as your steps. 
But there is a display issue on login page showing up after setting IE following your instruction. Some icon and fonts are not loaded successfully, pls refer to screenshot. The login page issue doesn't happened when access OCP 3.4 env on the IE, and didn't try OCP 3.3 yet due to no env on hand.
Comment 23 Yanping Zhang 2016-11-17 04:23 EST
Created attachment 1221513 [details]
Comment 24 yapei 2016-11-21 19:38:24 EST
Assign back to check the loading issue
Comment 25 yapei 2016-11-21 19:39:01 EST
Please change back to ON_QA if still need us to check something
Comment 26 Jessica Forrester 2016-11-22 09:07:06 EST
Moving the target release to 3.4 based on the login display issue. Let's just verify it against 3.4
Comment 27 Yanping Zhang 2016-11-22 21:39:48 EST
Checked on OCP v3.4.0.28+dfe3a66 again, the login display issue is reproduced. I'm sorry for not reproducing on OCP 3.4 last time due to the env zone was not added in IE Intranet setting correctly.
Comment 28 Jessica Forrester 2016-11-23 12:40:05 EST
Yeah we can reproduce this as well, it appears that IE disables Data URIs by default when a site is in the Intranet Zone
Comment 29 Robb Hamilton 2017-07-06 15:23:23 EDT
PR to resolve:  https://github.com/openshift/origin/pull/15083
Comment 30 Robb Hamilton 2017-07-06 16:20:55 EDT
(In reply to Robb Hamilton from comment #29)
> PR to resolve:  https://github.com/openshift/origin/pull/15083

Er, this PR is for origin.  Will follow up with a subsequent PR of OCP.
Comment 31 Robb Hamilton 2017-07-12 10:15:59 EDT
> Er, this PR is for origin.  Will follow up with a subsequent PR of OCP.

Disregard.  The upstream PR merged to OCP without a need for an additional PR.
Comment 33 yapei 2017-07-25 01:40:57 EDT
Checked against v3.6.169, after adding OpenShift server to the list of domains in IE's Intranet Zone under the security settings, the console should be accessed and loaded successfully.

Comment 35 errata-xmlrpc 2017-08-10 01:15:47 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.